https://github.com/cujojs/when - better?

**Deferred and promise** - First came across this at Codeschool and then looked at  [Promises A+ and Q](http://joseoncode.com/2013/05/23/promises-a-plus/) but didn't understand

POST Hackreactor: see [https://youtu.be/OU7WuVGSuZw](https://youtu.be/OU7WuVGSuZw) and [accompanying gist](https://gist.github.com/danthareja/c9d7d4b598088ca1566c)

[We have a problem with promises](http://pouchdb.com/2015/05/18/we-have-a-problem-with-promises.html) - excellent!